
%global meadversion 1.0.31
%global namedversion 1.0.31.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.0.31.Final-redhat-1

Name:    jboss-ejb-client
Summary: Client library for EJB applications working against JBoss AS
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License: LGPL
Group:   Development/Java

%if %with mead
Source100: jboss-ejb-client-1.0.31.Final-redhat-1-scm-sources.zip
Source102: jboss-ejb-client-1.0.31.Final-redhat-1-project-sources.tar.gz
Source103: jboss-ejb-client-1.0.31.Final-redhat-1.jar
Source104: jboss-ejb-client-1.0.31.Final-redhat-1-sources.jar
Source105: jboss-ejb-client-1.0.31.Final-redhat-1.pom
Source106: jboss-ejb-client-1.0.31.Final-redhat-1-javadoc.jar
%endif

URL:     https://github.com/jbossas/jboss-ejb-client

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Client library for EJB applications working against JBoss AS.

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.jboss %{name} %{namedversion} JPP %{name}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Tue May 05 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.31-1.Final_redhat_1.1
- Upgrade to 1.0.31.Final

* Fri Mar 27 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.30-1.Final_redhat_1.1
- Upgrade to 1.0.30.Final

* Thu Mar 05 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.29-1.Final_redhat_1.1
- Upgrade to 1.0.29.Final

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.28-1.Final_redhat_1.1
- Upgrade to 1.0.28.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.26-1.Final_redhat_1.1
- Upgrade to 1.0.26.Final

* Thu Feb 20 2014 Lin Gao <lgao@redhat.com> - 1.0.25-1.Final_redhat_1.1
- Upgrade to 1.0.25.Final

* Mon Nov 04 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.24-1.Final_redhat_1
- Upgrade to 1.0.24.Final

* Fri Jul 12 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.23-1.Final_redhat_1
- Upgrade to 1.0.23.Final

* Fri Jul 12 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.22-1.Final_redhat_1
- Upgrade to 1.0.22.Final

* Mon May 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.21-1.Final_redhat_1
- Upgrade to 1.0.21.Final

* Mon May 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.20-1.Final_redhat_1
- Upgrade to 1.0.20.Final

* Thu Apr 25 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.19-1.Final_redhat_1
- Upgrade to 1.0.19.Final

* Wed Mar 13 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.17-1.Final_redhat_1
- Upgrade to 1.0.17.Final

* Tue Feb 05 2013 Hui Wang <huwang@redhat.com> - 1.0.16-1.Final_redhat_1
- Upgrade to 1.0.16.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.11-2.Final_redhat_1
- Rebuild for MD5

* Wed Aug 22 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.11-1.Final_redhat_1
- Upgrade to 1.0.11.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.0.10-2.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.10-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.10-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 09 2012 Hui Wang <huwang@redhat.com> - 1.0.10-1.Final_redhat_1
- Upgrade to 1.0.10.Final

* Fri May 04 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.8-1.Final_redhat_1
- Upgrade to 1.0.8.Final

* Tue Mar 27 2012 Martha Benitez <mbenitez@redhat.com> - 1.0.5-1.Final_redhat_1.1
- Upgrade to 1.0.5.Final-redhat-1

* Fri Mar 16 2012 Hui Wang <huwang@redhat.com> - 1.0.4-2.Final_redhat_1.1
- New wrapper
- Fix installing path

* Fri Mar 02 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.4.Final-redhat-1.1
- Upgrade to 1.0.4.Final-redhat-1

* Mon Feb 27 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.3.Final-redhat-1.1
- Upgrade to 1.0.3.Final-redhat-1

* Fri Feb 17 2012 Weinan Li <weli@redhat.com> - 1.0.2.Final-redhat-1
- Upgrade to 1.0.2.Final-redhat-1
- Wrapper build

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-4.Beta11_redhat_1.1
- Rebuild to use new signing key

* Mon Feb 06 2012 Fernando Nasser <fnasser@redhat.com> - 2.3.0-3-redhat-1.1
- Add missing -mead in wrapper RPM

* Tue Jan 31 2012 Weinan Li <weli@redhat.com> - 2.3.0-3
- Build wrapper rpm

* Thu Jan 12 2012 Weinan Li <weli@redhat.com> - 2.3.0-2
- Build for rpm

* Tue Dec 13 2011 Weinan Li <weli@redhat.com> - 2.3.0-1
- Upgrade to 2.3.0.GA

* Mon Oct 17 2011 Weinan Li <weli@redhat.com> - 2.1.1-5
- Placeholder
